Results 1 to 6 of 6

Thread: Problems with VMWare

  1. #1
    chrislower NNTP User

    Default Problems with VMWare

    I have just installed Suse 11.0 64bit edition. I am currently trying to configure vmware player to work on my system. While trying to set this up I get an error that says my header files which are 2.6.25-8.1 don't match my running kernel which is 2.6.25.5-1.1. I can't find the headers to match my kernel. Where can i find the correct headers or an upgraded kernel. i can't find anything on the opensuse repositories. if you need anymore information just let me know.

  2. #2

    Default Re: Problems with VMWare

    This looks like a mismatch between the running kernel and the source of the kernel. This is a "shouldn't happen" error.

    You can give the following commands in a console:

    sudo zypper refresh
    sudo zypper verify

    The first command downloads the status of your repositories
    The second checks the integrity of the dependencies. Your issue seems a dependency error.

  3. #3

    Default Re: Problems with VMWare

    If that doesn't do anything, check the version of the installed kernel RPMS:

    Code:
    rpm -q kernel-default kernel-source
    If they match and your problem persists, then I would do a re-install of the kernel-source package.

    g

  4. #4

    Default Re: Problems with VMWare

    Although I am not 100% certain this is what you are doing, but it sounds as if you are compiling VMware from source.

    I have encountered this before, especially when having upgraded to a new kernel. There is a patch you can download that usually resolves this problem.

    http://knihovny.cvut.cz/ftp/pub/vmwa...date115.tar.gz

    It has the necessary instructions in the README file.

    If you'd like to do a little reading about it you can check this (older) post over on VMware's communities:

    VMware Communities: VMware-any-to-any-up ...

    Hope that will assist you some...

    Cheers
    ~Kryptikos

    This is Linux country...on a quiet night you can hear Windows reboot.

  5. #5
    chrislower NNTP User

    Default Re: Problems with VMWare

    well I ran the dependencies check and all is ok. but when i checked the When i ran the command rpm -q kernel-default kernel-source i got kernel-default - 2.6.25.5.1.1 and that the source is not installed. i am installing the source that is on the opensuse repository but i am not sure it is the right version either.

  6. #6
    chrislower NNTP User

    Default Re: Problems with VMWare

    I just got done installing the source and my kernel is way out of date. what is the easiest way to upgrade my kernel. i don't see the most up to date kernel in the default repositories.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •